Bug 1005632 - kernel messages on text login screen
kernel messages on text login screen
Status: NEW
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 23:21 EDT by Tao Wu
Modified: 2017-08-15 03:42 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-13 05:45:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (3.17 KB, image/png)
2013-09-08 23:22 EDT, Tao Wu
no flags Details

  None (edit)
Description Tao Wu 2013-09-08 23:21:31 EDT
Description of problem:
After the installation of minimal mode, some extra imformation like "ALSA sound ..." displays on the login screen, as the attachment shows.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tao Wu 2013-09-08 23:22:15 EDT
Created attachment 795478 [details]
screen shot
Comment 2 Kamil Páral 2013-09-09 08:06:01 EDT
This is not an anaconda problem, this is inside the installed system. I believe you're seeing kernel messages on tty1, which is somewhat expected? I'm not sure if they should be displayed while login screen is active, but it's certainly not a new problem, it has ever been this way.

Changing component to util-linux, since it contains agetty. Can you give us some advice here? Should the kernel messages be blocked? Is this expected and wanted? Thanks.
Comment 3 Karel Zak 2013-09-09 09:57:45 EDT
Sounds like strange console-level setting for kernel messages.

Try:

    $ cat /proc/sys/kernel/printk
    4     4	1	7

The first number in the output is the console log level, the second is the default log level, third is the minimum log level and fourth is the maximum log level. 

See also

     dmesg --console-level level
     dmesg --console-on
     dmesg --console-off

for more details.

Anyway, I don't think this is util-linux issue, seems like kernel/init or your local misconfiguration.
Comment 4 Jan Pokorný 2017-06-22 09:48:09 EDT
Can observe this as well in up-to-date Rawhide installation
(util-linux-2.30-1.fc27.x86_64, kernel 4.12.0-0.rc5.git2.1.fc27.x86_64).
In my case, message like following is frequently emitted on the
screen (in the same manner as demonstrated above) just about the time
the login screen is reached during the boot process:

mei_wdt: probe of mei::05b79a6f-4628-4d7f-899d-a91514cb32ab:02 failed with error -22

$ cat /proc/sys/kernel/printk
> 4	4	1	7

Reopening for discussion.  Is this expected?
Comment 5 Jan Kurik 2017-08-15 03:42:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.